k3d(1)

NAME
k3d - 3d modeling and animation system

SYNOPSIS
k3d [options]

DESCRIPTION
K-3D is a free (as in freedom) 3D modeling, animation, and rendering system for GNU/Linux and Win32. K-3D features a robust, object-oriented plugin architecture. K-3D is capable of producing motion-picture-quality output when paired with a RenderMan Interface compliant render engine such as Aqsis.

Please visit http://k3d.sourceforge.net for more information.

OPTIONS
-h, --help
    Prints this help information and exits.
--dialogpath [path]
    Overrides the path for storing dialog templates (this overrides both defaults and the K3D_DIALOG_TEMPLATES_PATH environment variable, below).
--libpaths [path]
    Overrides the path(s) for loading plugin libraries (this overrides both defaults and the K3D_LIB_PATHS environment variable, below). Multiple colon-delimited paths are allowed. Use "&" as a synonym for the default paths.
--shadersourcepaths [path]
    Overrides the path(s) for loading shaders (this overrides both defaults and the K3D_SHADER_SOURCE_PATHS environment variable, below). Multiple colon-delimited paths are allowed. Use "&" as a synonym for the default paths.
--shadercachepath [path]
    Overrides the path where compiled shaders will be cached (this overrides both defaults and the K3D_SHADER_CACHE_PATH environment variable, below).
--sharepath [path]
    Overrides the path for loading shared data files (this overrides both defaults and the K3D_SHARE_PATH environment variable, below).
--tutorialspath [path]
    Overrides the path for loading interactive tutorials (this overrides both defaults and the K3D_TUTORIALS_PATH environment variable, below).
--optionsfile [path]
    Overrides the filepath for storing user options (this overrides both defaults and the K3D_OPTIONS_PATH environment variable, below).
-n, --new
    Creates a new document after startup.
-o, --open [file]
    Opens the given file after startup.
--tutorials
    Opens the tutorials menu immediately following startup.
--record-tutorials
    Opens the tutorial recorder immediately following startup.
--script [file]
    Play the given script after startup (use - for stdin).
--batch
    Operate in batch (no user intervention) mode.
--gui [gui type]
    Specifies the type of graphical user interface to display (valid values are "none" or "gtk").
--exit
    Exits the program (useful after running scripts in batch mode).
--show-timestamps
    Prints timestamps next to log messages.
--show-process
    Prints the process name next to log messages.
--color
    Color-codes log messages based on their priority. Requires an ANSI color-capable terminal.
--syslog
    Logs messages to syslog.
--log-level [level]
    Specifies the minimum message priority to log (valid values are "warning", "information", or "debug").
--version
    Prints program version information and exits.
--nosplash
    Disables the startup splash screen.
--blackbox [file]
    Starts the Black Box Recorder, recording to [file].

ENVIRONMENT VARIABLES
K3D_DIALOG_TEMPLATES_PATH
    Overrides the path for storing dialog templates (this overrides the default, but can be overridden by the --dialogpath option, above).
K3D_LIB_PATHS
    Overrides the path(s) for loading plugin libraries (this overrides the default, but can be overridden by the --libpaths option, above). Multiple colon-delimited paths are allowed. Use "&" as a synonym for the default paths.
K3D_SHADER_SOURCE_PATHS
    Overrides the path(s) for loading shaders (this overrides the default, but can be overridden by the --shadersourcepaths option, above). Multiple colon-delimited paths are allowed. Use "&" as a synonym for the default paths.
K3D_SHADER_CACHE_PATH
    Overrides the path where compiled shaders are cached (this overrides the default, but can be overridden by the --shadercachepath option, above).
K3D_SHARE_PATH
    Overrides the path for loading shared data files (this overrides the default, but can be overridden by the --sharepath option, above).
K3D_TUTORIALS_PATH
    Overrides the path for loading interactive tutorials (this overrides the default, but can be overridden by the --tutorialspath option, above).
K3D_OPTIONS_PATH
    Overrides the path for storing user options (this overrides the default, but can be overridden by the --optionsfile option, above).

AUTHORS
Written by Timothy M. Shead <tshead@k-3d.com>, and many others.

REPORTING BUGS
Report bugs to <k3d-development@lists.sourceforge.net>

COPYRIGHT
Copyright (c) 1995-2004, Timothy M. Shead
This software is licensed under the GNU General Public License; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
The full documentation for K-3D is maintained as a DocBook manual at http://k3d.sourceforge.net